gdlmm: Gdl::DockItem Class Reference

gdlmm 3.7.3

- Main Page
- Modules
- Namespaces
- Classes

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Protected Member Functions | Related Functions | List of all members
Gdl::DockItem Class Reference
Inheritance diagram for Gdl::DockItem:
[legend]
Collaboration diagram for Gdl::DockItem:
[legend]

## Public Member Functions
virtual | ~DockItem ()
GdlDockItem* | gobj ()
| Provides access to the underlying C GtkObject.
const GdlDockItem* | gobj () const
| Provides access to the underlying C GtkObject.
| DockItem (const Glib::ustring& name, const Glib::ustring& long_name, DockItemBehavior behavior=static_cast< DockItemBehavior >(DOCK_ITEM_BEH_NORMAL))
| DockItem (const Glib::ustring& name, const Glib::ustring& long_name, const Gtk::StockID& stock_id, DockItemBehavior behavior=static_cast< DockItemBehavior >(DOCK_ITEM_BEH_NORMAL))
void | dock_to (DockItem& target, DockPlacement position=static_cast< DockPlacement >(DOCK_NONE), int docking_param=-1)
void | dock_floating (int docking_param=-1)
void | set_orientation (Gtk::Orientation orientation)
Gtk::Widget* | get_tablabel () const
void | set_tablabel (Gtk::Widget& tablabel)
Gtk::Widget* | get_grip () const
void | hide_grip ()
void | show_grip ()
void | notify_selected ()
void | bind (Gtk::Widget&dock)
void | unbind ()
void | hide_item ()
void | iconify_item ()
void | show_item ()
void | lock ()
void | unlock ()
void | set_default_position (DockObject& reference)
void | preferred_size (Gtk::Requisition& req)
Glib::PropertyProxy < DockItemBehavior > | property_behavior ()
| General behavior for the dock item (i.e.
Glib::PropertyProxy_ReadOnly < DockItemBehavior > | property_behavior () const
| General behavior for the dock item (i.e.
Glib::PropertyProxy< bool > | property_locked ()
| If set, the dock item cannot be dragged around and it doesn't show a grip.
Glib::PropertyProxy_ReadOnly < bool > | property_locked () const
| If set, the dock item cannot be dragged around and it doesn't show a grip.
Glib::PropertyProxy < Gtk::Orientation > | property_orientation ()
| Orientation of the docking item.
Glib::PropertyProxy_ReadOnly < Gtk::Orientation > | property_orientation () const
| Orientation of the docking item.
Glib::PropertyProxy< int > | property_preferred_height ()
| Preferred height for the dock item.
Glib::PropertyProxy_ReadOnly< int > | property_preferred_height () const
| Preferred height for the dock item.
Glib::PropertyProxy< int > | property_preferred_width ()
| Preferred width for the dock item.
Glib::PropertyProxy_ReadOnly< int > | property_preferred_width () const
| Preferred width for the dock item.
Glib::PropertyProxy< bool > | property_resize ()
| If set, the dock item can be resized when docked in a GtkPanel widget.
Glib::PropertyProxy_ReadOnly < bool > | property_resize () const
| If set, the dock item can be resized when docked in a GtkPanel widget.
Glib::SignalProxy0< void > | signal_dock_drag_begin ()
Glib::SignalProxy1< void, bool > | signal_dock_drag_end ()
Glib::SignalProxy3< void, const Glib::RefPtr < Gdk::Device >&, int, int > | signal_dock_drag_motion ()
Glib::SignalProxy0< void > | signal_selected ()
Public Member Functions inherited from Gdl::DockObject
virtual | ~DockObject ()
bool | is_compound () const
void | detach (bool recursive=true)
DockObject* | get_parent_object () const
void | freeze ()
void | thaw ()
void | reduce ()
template<class OtherType >
void | dock (DockObject& requestor, const OtherType& other_data, DockPlacement position=static_cast< DockPlacement >(DOCK_NONE))
void | dock (DockObject& requestor, DockPlacement position=static_cast< DockPlacement >(DOCK_NONE))
void | bind (const Glib::RefPtr< DockMaster >& master)
bool | is_bound () const
template<class OtherType >
bool | reorder (DockObject& child, const OtherType& other_data, DockPlacement new_position=static_cast< DockPlacement >(DOCK_NONE))
bool | reorder (DockObject& child, DockPlacement new_position=static_cast< DockPlacement >(DOCK_NONE))
void | present (DockObject& child)
bool | child_placement (DockObject& child, DockPlacement placement=static_cast< DockPlacement >(DOCK_NONE))
bool | is_automatic ()
void | set_manual ()
Glib::RefPtr< DockMaster > | get_master ()
Glib::PropertyProxy < Glib::ustring > | property_long_name ()
| Human readable name for the dock object.
Glib::PropertyProxy_ReadOnly < Glib::ustring > | property_long_name () const
| Human readable name for the dock object.
Glib::PropertyProxy_ReadOnly < Glib::ustring > | property_name () const
| Unique name for identifying the dock object.
Glib::PropertyProxy < Glib::RefPtr< DockMaster > > | property_master ()
| Dock master this dock object is bound to.
Glib::PropertyProxy_ReadOnly < Glib::RefPtr< DockMaster > > | property_master () const
| Dock master this dock object is bound to.
Glib::PropertyProxy < Glib::ustring > | property_stock_id ()
| Stock icon for the dock object.
Glib::PropertyProxy_ReadOnly < Glib::ustring > | property_stock_id () const
| Stock icon for the dock object.
Glib::SignalProxy1< void, bool > | signal_detach ()
Glib::SignalProxy3< void, DockObject&, DockPlacement, const Glib::ValueBase* > | signal_dock ()

## Static Public Member Functions
static GType | get_type ()
| Get the GType for this class, for use with the underlying GObject type system.

## Protected Member Functions
virtual void | on_dock_drag_begin ()
| This is a default handler for the signal signal_dock_drag_begin().
virtual void | on_dock_drag_end (bool cancel)
| This is a default handler for the signal signal_dock_drag_end().
virtual void | on_dock_drag_motion (const Glib::RefPtr< Gdk::Device >& device, int x, int y)
| This is a default handler for the signal signal_dock_drag_motion().
Protected Member Functions inherited from Gdl::DockObject
| DockObject ()
void | dock (DockObject& requestor, const Glib::ValueBase& other_data, DockPlacement position=static_cast< DockPlacement >(DOCK_NONE))
bool | reorder (DockObject& child, const Glib::ValueBase& other_data, DockPlacement new_position=static_cast< DockPlacement >(DOCK_NONE))

## Related Functions
(Note that these are not member functions.)
Gdl::DockItem* | wrap (GdlDockItem* object, bool take_copy=false)
| A Glib::wrap() method for this object.
Related Functions inherited from Gdl::DockObject
Gdl::DockObject* | wrap (GdlDockObject* object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Constructor & Destructor Documentation

virtual Gdl::DockItem::~DockItem | ( |  | ) |
| virtual

Gdl::DockItem::DockItem | ( | const Glib::ustring & | name,
|  | const Glib::ustring & | long_name,
|  | DockItemBehavior | behavior = `static_cast< DockItemBehavior >(DOCK_ITEM_BEH_NORMAL)`
| ) |  |

Gdl::DockItem::DockItem | ( | const Glib::ustring & | name,
|  | const Glib::ustring & | long_name,
|  | const Gtk::StockID & | stock_id,
|  | DockItemBehavior | behavior = `static_cast< DockItemBehavior >(DOCK_ITEM_BEH_NORMAL)`
| ) |  |

## Member Function Documentation

void Gdl::DockItem::bind | ( | Gtk::Widget & | dock | ) |

void Gdl::DockItem::dock_floating | ( | int | docking_param = `-1` | ) |

void Gdl::DockItem::dock_to | ( | DockItem& | target,
|  | DockPlacement | position = `static_cast< DockPlacement >(DOCK_NONE)`,
|  | int | docking_param = `-1`
| ) |  |

Gtk::Widget* Gdl::DockItem::get_grip | ( |  | ) | const

Gtk::Widget* Gdl::DockItem::get_tablabel | ( |  | ) | const

static GType Gdl::DockItem::get_type | ( |  | ) |
| static

Get the GType for this class, for use with the underlying GObject type system.

Reimplemented from Gdl::DockObject.

GdlDockItem* Gdl::DockItem::gobj | ( |  | ) |
| inline

Provides access to the underlying C GtkObject.

Reimplemented from Gdl::DockObject.

const GdlDockItem* Gdl::DockItem::gobj | ( |  | ) | const
| inline

Provides access to the underlying C GtkObject.

Reimplemented from Gdl::DockObject.

void Gdl::DockItem::hide_grip | ( |  | ) |

void Gdl::DockItem::hide_item | ( |  | ) |

void Gdl::DockItem::iconify_item | ( |  | ) |

void Gdl::DockItem::lock | ( |  | ) |

void Gdl::DockItem::notify_selected | ( |  | ) |

virtual void Gdl::DockItem::on_dock_drag_begin | ( |  | ) |
| protectedvirtual

This is a default handler for the signal signal_dock_drag_begin().

virtual void Gdl::DockItem::on_dock_drag_end | ( | bool | cancel | ) |
| protectedvirtual

This is a default handler for the signal signal_dock_drag_end().

virtual void Gdl::DockItem::on_dock_drag_motion | ( | const Glib::RefPtr< Gdk::Device > & | device,
|  | int | x,
|  | int | y
| ) |  |
| protectedvirtual

This is a default handler for the signal signal_dock_drag_motion().

void Gdl::DockItem::preferred_size | ( | Gtk::Requisition & | req | ) |

Glib::PropertyProxy< DockItemBehavior > Gdl::DockItem::property_behavior | ( |  | ) |

General behavior for the dock item (i.e.

whether it can float, if it's locked, etc.).

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< DockItemBehavior > Gdl::DockItem::property_behavior | ( |  | ) | const

General behavior for the dock item (i.e.

whether it can float, if it's locked, etc.).

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy< bool > Gdl::DockItem::property_locked | ( |  | ) |

If set, the dock item cannot be dragged around and it doesn't show a grip.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< bool > Gdl::DockItem::property_locked | ( |  | ) | const

If set, the dock item cannot be dragged around and it doesn't show a grip.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy< Gtk::Orientation > Gdl::DockItem::property_orientation | ( |  | ) |

Orientation of the docking item.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< Gtk::Orientation > Gdl::DockItem::property_orientation | ( |  | ) | const

Orientation of the docking item.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy< int > Gdl::DockItem::property_preferred_height | ( |  | ) |

Preferred height for the dock item.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< int > Gdl::DockItem::property_preferred_height | ( |  | ) | const

Preferred height for the dock item.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy< int > Gdl::DockItem::property_preferred_width | ( |  | ) |

Preferred width for the dock item.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< int > Gdl::DockItem::property_preferred_width | ( |  | ) | const

Preferred width for the dock item.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy< bool > Gdl::DockItem::property_resize | ( |  | ) |

If set, the dock item can be resized when docked in a GtkPanel widget.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< bool > Gdl::DockItem::property_resize | ( |  | ) | const

If set, the dock item can be resized when docked in a GtkPanel widget.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

void Gdl::DockItem::set_default_position | ( | DockObject& | reference | ) |

void Gdl::DockItem::set_orientation | ( | Gtk::Orientation | orientation | ) |

void Gdl::DockItem::set_tablabel | ( | Gtk::Widget & | tablabel | ) |

void Gdl::DockItem::show_grip | ( |  | ) |

void Gdl::DockItem::show_item | ( |  | ) |

Glib::SignalProxy0< void > Gdl::DockItem::signal_dock_drag_begin | ( |  | ) |

Slot Prototype:
  `void on_my_dock_drag_begin()`

Glib::SignalProxy1< void,bool > Gdl::DockItem::signal_dock_drag_end | ( |  | ) |

Slot Prototype:
  `void on_my_dock_drag_end(bool cancel)`

Glib::SignalProxy3< void,const Glib::RefPtr<Gdk::Device>&,int,int > Gdl::DockItem::signal_dock_drag_motion | ( |  | ) |

Slot Prototype:
  `void on_my_dock_drag_motion(const Glib::RefPtr<Gdk::Device>& device, int x, int y)`

Glib::SignalProxy0< void > Gdl::DockItem::signal_selected | ( |  | ) |

Slot Prototype:
  `void on_my_selected()`

void Gdl::DockItem::unbind | ( |  | ) |

Reimplemented from Gdl::DockObject.

void Gdl::DockItem::unlock | ( |  | ) |

## Friends And Related Function Documentation

Gdl::DockItem* wrap | ( | GdlDockItem * | object,
|  | bool | take_copy = `false`
| ) |  |
| related

A Glib::wrap() method for this object.

Parameters

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- gdlmm/dockitem.h